Company

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class Company

    java.lang.Object
      com.fenalco.entities.Company

    public class Company

extends java.lang.Object

Esta clase representa a una empresa

Field Summary
`private java.sql.Date` | `activationDate`
`private java.lang.String` | `address` Dirección de la empresa
`private int` | `ciiu` ciiu de la empresa
`private java.lang.String` | `ciiuCode` Código ciiu de la empresa
`private int` | `cityId` Identificador de la ciudad en la que se encuentra la empresa
`private java.lang.String` | `cityName` Nombre de la ciudad en la que se encuentra la empresa
`private java.lang.String` | `commercialName` nombre comercial de la empresa
`private java.lang.String` | `contact1` Nombre del contacto principal con la empresa
`private java.lang.String` | `contact2` Nombre del contacto secundario con la empresa
`private java.lang.String` | `description` descripción de la empresa
`private java.lang.String` | `email` Correo electrónico de la empresa
`private java.lang.String` | `fax` Número de fax de la empresa
`private java.lang.String` | `fenalcoNumber` Número de afiliación a fenalco de la empresa
`private java.lang.String` | `gln` GLN de la empresa
`private int` | `id` id de la empresa
`private java.lang.String` | `nit` identificador de la empresa (NIT)
`private java.lang.String` | `phoneNumber1` Número telefónico de la empresa
`private java.lang.String` | `phoneNumber2` Número telefónico secundario de la empresa
`private java.sql.Date` | `registerDate`
`private int` | `sectorCode` código del sector económico al cual pertenece la empresa
`private java.lang.String` | `sectorName` Nombre del sector económico al cual pertenece la empresa
`private java.lang.String` | `socialName` razón social de la empresa
`private int` | `status` código del estado de la empresa
`private java.lang.String` | `statusName`
`private int` | `type` identificador del tipo de empresa
`private java.lang.String` | `typeName`

Constructor Summary
`Company()` Contructor por omisión
`Company(int companyId)` Constructor que recibe el id de la empresa para cargar los datos de la base de datos llamando a la función `loadData`

Method Summary
`boolean` | `delete(Transaction t)` Elimina la empresa de la base de datos
`java.sql.Date` | `getActivationDate()` Getter para el atributo activationDate.
`java.lang.String` | `getAddress()` Getter para el atributo address.
`int` | `getCiiu()` Getter para el atributo ciiu.
`java.lang.String` | `getCiiuCode()` Getter para el atributo ciiuCode.
`int` | `getCityId()` Getter para el atributo cityId.
`java.lang.String` | `getCityName()` Getter para el atributo cityName.
`java.lang.String` | `getCommercialName()` Getter para el atributo commercialName.
`static int` | `getCompanyStatus(int companyId)` Busca el estado de la empresa con el identificador especificado y lo retorna
`java.lang.String` | `getContact1()` Getter para el atributo contact1.
`java.lang.String` | `getContact2()` Getter para el atributo contact2.
`java.lang.String` | `getDescription()` Getter para el atributo description.
`java.lang.String` | `getEmail()` Getter para el atributo email.
`java.lang.String` | `getFax()` Getter para el atributo fax.
`java.lang.String` | `getFenalcoNumber()` Getter para el atributo fenalcoNumber.
`java.lang.String` | `getGln()` Getter para el atributo gln.
`int` | `getId()` Getter para el atributo id.
`java.lang.String` | `getNit()` Getter para el atributo companyId.
`java.lang.String` | `getPhoneNumber1()` Getter para el atributo phoneNumber1.
`java.lang.String` | `getPhoneNumber2()` Getter para el atributo phoneNumber2.
`java.sql.Date` | `getRegisterDate()` Getter para el atributo registerDate.
`int` | `getSectorCode()` Getter para el atributo sectorCode.
`java.lang.String` | `getSectorName()` Getter para el atributo sectorName.
`java.lang.String` | `getSocialName()` Getter para el atributo socialName.
`int` | `getStatus()` Getter para el atributo status.
`java.lang.String` | `getStatusName()` Getter para el atributo statusName.
`int` | `getType()` Getter para el atributo type.
`java.lang.String` | `getTypeName()` Getter para el atributo typeName.
`boolean` | `loadData(int companyId)` carga los datos de la empresa de la base de datos
`static void` | `main(java.lang.String[] args)`
`boolean` | `saveData(Transaction t)` Almacena los datos de la empresa en la base de datos
`void` | `setActivationDate(java.sql.Date activationDate)` Setter for property activationDate.
`void` | `setAddress(java.lang.String address)` Setter para el atributo address.
`void` | `setCiiu(int ciiu)` Setter para el atributo ciiu.
`void` | `setCiiuCode(java.lang.String ciiuCode)` Setter para el atributo ciiuCode.
`void` | `setCityId(int cityId)` Setter para el atributo cityId.
`void` | `setCityName(java.lang.String cityName)` Setter para el atributo cityName.
`void` | `setCommercialName(java.lang.String commercialName)` Setter para el atributo commercialName.
`void` | `setContact1(java.lang.String contact1)` Setter para el atributo contact1.
`void` | `setContact2(java.lang.String contact2)` Setter para el atributo contact2.
`void` | `setDescription(java.lang.String description)` Setter para el atributo description.
`void` | `setEmail(java.lang.String email)` Setter para el atributo email.
`void` | `setFax(java.lang.String fax)` Setter para el atributo fax.
`void` | `setFenalcoNumber(java.lang.String fenalcoNumber)` Setter para el atributo fenalcoNumber.
`void` | `setGln(java.lang.String gln)` Setter for property gln.
`void` | `setId(int id)` Setter para el atributo id.
`void` | `setNit(java.lang.String nit)` Setter para el atributo companyId.
`void` | `setPhoneNumber1(java.lang.String phoneNumber1)` Setter para el atributo phoneNumber1.
`void` | `setPhoneNumber2(java.lang.String phoneNumber2)` Setter para el atributo phoneNumber2.
`void` | `setRegisterDate(java.sql.Date registerDate)` Setter for property registerDate.
`void` | `setSectorCode(int sectorCode)` Setter para el atributo sectorCode.
`void` | `setSectorName(java.lang.String sectorName)` Setter para el atributo sectorName.
`void` | `setSocialName(java.lang.String socialName)` Setter para el atributo socialName.
`void` | `setStatus(int status)` Setter para el atributo status.
`void` | `setStatusName(java.lang.String statusName)` Setter for property statusName.
`void` | `setType(int type)` Setter para el atributo type.
`void` | `setTypeName(java.lang.String typeName)` Setter for property typeName.
`boolean` | `update(Transaction t)` Actualiza los datos de la empresa en la base de datos

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    private int id

  id de la empresa

### type

    private int type

  identificador del tipo de empresa

### typeName

    private java.lang.String typeName

### socialName

    private java.lang.String socialName

  razón social de la empresa

### commercialName

    private java.lang.String commercialName

  nombre comercial de la empresa

### description

    private java.lang.String description

  descripción de la empresa

### nit

    private java.lang.String nit

  identificador de la empresa (NIT)

### sectorCode

    private int sectorCode

  código del sector económico al cual pertenece la empresa

### sectorName

    private java.lang.String sectorName

  Nombre del sector económico al cual pertenece la empresa

### address

    private java.lang.String address

  Dirección de la empresa

### phoneNumber1

    private java.lang.String phoneNumber1

  Número telefónico de la empresa

### phoneNumber2

    private java.lang.String phoneNumber2

  Número telefónico secundario de la empresa

### contact1

    private java.lang.String contact1

  Nombre del contacto principal con la empresa

### contact2

    private java.lang.String contact2

  Nombre del contacto secundario con la empresa

### fax

    private java.lang.String fax

  Número de fax de la empresa

### email

    private java.lang.String email

  Correo electrónico de la empresa

### fenalcoNumber

    private java.lang.String fenalcoNumber

  Número de afiliación a fenalco de la empresa

### ciiu

    private int ciiu

  ciiu de la empresa

### ciiuCode

    private java.lang.String ciiuCode

  Código ciiu de la empresa

### cityId

    private int cityId

  Identificador de la ciudad en la que se encuentra la empresa

### cityName

    private java.lang.String cityName

  Nombre de la ciudad en la que se encuentra la empresa

### status

    private int status

  código del estado de la empresa

### statusName

    private java.lang.String statusName

### gln

    private java.lang.String gln

  GLN de la empresa

### activationDate

    private java.sql.Date activationDate

### registerDate

    private java.sql.Date registerDate

Constructor Detail

### Company

    public Company()

  Contructor por omisión

### Company

    public Company(int companyId)

  Constructor que recibe el id de la empresa para cargar los datos de la base de datos llamando a la función `loadData`

  Parameters:
    `companyId` - NIT de la empresa

Method Detail

### loadData

    public boolean loadData(int companyId)

  carga los datos de la empresa de la base de datos

  Parameters:
    `companyId` - Identificador de la empresa
  Returns:
    un booleano que indica si se pudieron cargar los datos o no

### saveData

    public boolean saveData(Transaction t)

  Almacena los datos de la empresa en la base de datos

  Returns:
    un booleano que indica si se pudieron guardar los datos o no

### update

    public boolean update(Transaction t)

  Actualiza los datos de la empresa en la base de datos

  Returns:
    un booleano indicando si se pudo actualizar la información o no

### delete

    public boolean delete(Transaction t)

  Elimina la empresa de la base de datos

  Returns:
    un booleano indicando si se pudo eliminar la información o no

### getCompanyStatus

    public static int getCompanyStatus(int companyId)

  Busca el estado de la empresa con el identificador especificado y lo retorna

  Parameters:
    `companyID` - Identificador de la empresa
  Returns:
    El estado de la empresa

### getId

    public int getId()

  Getter para el atributo id.

  Returns:
    valor del atributo id.

### setId

    public void setId(int id)

  Setter para el atributo id.

  Parameters:
    `type` - Nuevo valor del atributo id.

### getType

    public int getType()

  Getter para el atributo type.

  Returns:
    valor del atributo type.

### setType

    public void setType(int type)

  Setter para el atributo type.

  Parameters:
    `type` - Nuevo valor del atributo type.

### getSocialName

    public java.lang.String getSocialName()

  Getter para el atributo socialName.

  Returns:
    valor del atributo socialName.

### setSocialName

    public void setSocialName(java.lang.String socialName)

  Setter para el atributo socialName.

  Parameters:
    `socialName` - Nuevo valor del atributo socialName.

### getCommercialName

    public java.lang.String getCommercialName()

  Getter para el atributo commercialName.

  Returns:
    valor del atributo commercialName.

### setCommercialName

    public void setCommercialName(java.lang.String commercialName)

  Setter para el atributo commercialName.

  Parameters:
    `commercialName` - Nuevo valor del atributo commercialName.

### getDescription

    public java.lang.String getDescription()

  Getter para el atributo description.

  Returns:
    valor del atributo description.

### setDescription

    public void setDescription(java.lang.String description)

  Setter para el atributo description.

  Parameters:
    `description` - Nuevo valor del atributo description.

### getNit

    public java.lang.String getNit()

  Getter para el atributo companyId.

  Returns:
    valor del atributo companyId.

### setNit

    public void setNit(java.lang.String nit)

  Setter para el atributo companyId.

  Parameters:
    `companyId` - Nuevo valor del atributo companyId.

### getSectorCode

    public int getSectorCode()

  Getter para el atributo sectorCode.

  Returns:
    valor del atributo sectorCode.

### setSectorCode

    public void setSectorCode(int sectorCode)

  Setter para el atributo sectorCode.

  Parameters:
    `sectorCode` - Nuevo valor del atributo sectorCode.

### getSectorName

    public java.lang.String getSectorName()

  Getter para el atributo sectorName.

  Returns:
    valor del atributo sectorName.

### setSectorName

    public void setSectorName(java.lang.String sectorName)

  Setter para el atributo sectorName.

  Parameters:
    `sectorName` - Nuevo valor del atributo sectorName.

### getAddress

    public java.lang.String getAddress()

  Getter para el atributo address.

  Returns:
    valor del atributo address.

### setAddress

    public void setAddress(java.lang.String address)

  Setter para el atributo address.

  Parameters:
    `address` - Nuevo valor del atributo address.

### getPhoneNumber1

    public java.lang.String getPhoneNumber1()

  Getter para el atributo phoneNumber1.

  Returns:
    valor del atributo phoneNumber1.

### setPhoneNumber1

    public void setPhoneNumber1(java.lang.String phoneNumber1)

  Setter para el atributo phoneNumber1.

  Parameters:
    `phoneNumber1` - Nuevo valor del atributo phoneNumber1.

### getPhoneNumber2

    public java.lang.String getPhoneNumber2()

  Getter para el atributo phoneNumber2.

  Returns:
    valor del atributo phoneNumber2.

### setPhoneNumber2

    public void setPhoneNumber2(java.lang.String phoneNumber2)

  Setter para el atributo phoneNumber2.

  Parameters:
    `phoneNumber2` - Nuevo valor del atributo phoneNumber2.

### getContact1

    public java.lang.String getContact1()

  Getter para el atributo contact1.

  Returns:
    valor del atributo contact1.

### setContact1

    public void setContact1(java.lang.String contact1)

  Setter para el atributo contact1.

  Parameters:
    `contact1` - Nuevo valor del atributo contact1.

### getContact2

    public java.lang.String getContact2()

  Getter para el atributo contact2.

  Returns:
    valor del atributo contact2.

### setContact2

    public void setContact2(java.lang.String contact2)

  Setter para el atributo contact2.

  Parameters:
    `contact2` - Nuevo valor del atributo contact2.

### getFax

    public java.lang.String getFax()

  Getter para el atributo fax.

  Returns:
    valor del atributo fax.

### setFax

    public void setFax(java.lang.String fax)

  Setter para el atributo fax.

  Parameters:
    `fax` - Nuevo valor del atributo fax.

### getEmail

    public java.lang.String getEmail()

  Getter para el atributo email.

  Returns:
    valor del atributo email.

### setEmail

    public void setEmail(java.lang.String email)

  Setter para el atributo email.

  Parameters:
    `email` - Nuevo valor del atributo email.

### getFenalcoNumber

    public java.lang.String getFenalcoNumber()

  Getter para el atributo fenalcoNumber.

  Returns:
    valor del atributo fenalcoNumber.

### setFenalcoNumber

    public void setFenalcoNumber(java.lang.String fenalcoNumber)

  Setter para el atributo fenalcoNumber.

  Parameters:
    `fenalcoNumber` - Nuevo valor del atributo fenalcoNumber.

### getCiiu

    public int getCiiu()

  Getter para el atributo ciiu.

  Returns:
    valor del atributo ciiu.

### setCiiu

    public void setCiiu(int ciiu)

  Setter para el atributo ciiu.

  Parameters:
    `ciiu` - Nuevo valor del atributo ciiu.

### getCiiuCode

    public java.lang.String getCiiuCode()

  Getter para el atributo ciiuCode.

  Returns:
    valor del atributo ciiuCode.

### setCiiuCode

    public void setCiiuCode(java.lang.String ciiuCode)

  Setter para el atributo ciiuCode.

  Parameters:
    `ciiuCode` - Nuevo valor del atributo ciiuCode.

### getCityId

    public int getCityId()

  Getter para el atributo cityId.

  Returns:
    valor del atributo cityId.

### setCityId

    public void setCityId(int cityId)

  Setter para el atributo cityId.

  Parameters:
    `cityId` - Nuevo valor del atributo cityId.

### getCityName

    public java.lang.String getCityName()

  Getter para el atributo cityName.

  Returns:
    valor del atributo cityName.

### setCityName

    public void setCityName(java.lang.String cityName)

  Setter para el atributo cityName.

  Parameters:
    `cityName` - Nuevo valor del atributo cityName.

### getStatus

    public int getStatus()

  Getter para el atributo status.

  Returns:
    valor del atributo status.

### setStatus

    public void setStatus(int status)

  Setter para el atributo status.

  Parameters:
    `status` - Nuevo valor del atributo status.

### getActivationDate

    public java.sql.Date getActivationDate()

  Getter para el atributo activationDate.

  Returns:
    Valor del atributo activationDate.

### setActivationDate

    public void setActivationDate(java.sql.Date activationDate)

  Setter for property activationDate.

  Parameters:
    `activationDate` - Nuevo valor del atributo activationDate.

### getRegisterDate

    public java.sql.Date getRegisterDate()

  Getter para el atributo registerDate.

  Returns:
    Valor del atributo registerDate.

### setRegisterDate

    public void setRegisterDate(java.sql.Date registerDate)

  Setter for property registerDate.

  Parameters:
    `registerDate` - Nuevo valor del atributo registerDate.

### getTypeName

    public java.lang.String getTypeName()

  Getter para el atributo typeName.

  Returns:
    Valor del atributo typeName.

### setTypeName

    public void setTypeName(java.lang.String typeName)

  Setter for property typeName.

  Parameters:
    `typeName` - Nuevo valor del atributo typeName.

### getStatusName

    public java.lang.String getStatusName()

  Getter para el atributo statusName.

  Returns:
    Valor del atributo statusName.

### setStatusName

    public void setStatusName(java.lang.String statusName)

  Setter for property statusName.

  Parameters:
    `statusName` - Nuevo valor del atributo statusName.

### getGln

    public java.lang.String getGln()

  Getter para el atributo gln.

  Returns:
    Valor del atributo gln.

### setGln

    public void setGln(java.lang.String gln)

  Setter for property gln.

  Parameters:
    `gln` - Nuevo valor del atributo gln.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD